FlexSEA Wiki

A WEARABLE ROBOTICS TOOLKIT

User Tools

Site Tools


gettingstartedrpi4

Differences

This shows you the differences between two versions of the page.

Link to this comparison view

Both sides previous revision Previous revision
Next revision
Previous revision
gettingstartedrpi4 [2020/05/13 00:11]
jfduval [SSH]
gettingstartedrpi4 [2020/06/01 16:24] (current)
alayne
Line 59: Line 59:
   * Copy ''​Actuator-Package/​Python/​flexseapython/​com_template.txt''​ to a file named ''​Actuator-Package/​Python/​flexseapython/​com.txt''​   * Copy ''​Actuator-Package/​Python/​flexseapython/​com_template.txt''​ to a file named ''​Actuator-Package/​Python/​flexseapython/​com.txt''​
     * The first line is the baud rate. If connecting over USB or Bluetooth you can ignore the baud rate, otherwise please enter your desired rate.     * The first line is the baud rate. If connecting over USB or Bluetooth you can ignore the baud rate, otherwise please enter your desired rate.
 +    * Any line containing a '#'​ will be considered a comment.
     * The second line is the port name (ex.: COM5 or /​dev/​ttyACM0)     * The second line is the port name (ex.: COM5 or /​dev/​ttyACM0)
     * If connecting to more than one device you can add additional port names each on a new line     * If connecting to more than one device you can add additional port names each on a new line
Line 65: Line 66:
  
 The [[pythonscripts|Python Interface]] page has all the information regarding normal operation. Some RPi4 specifics need to be mentioned: The [[pythonscripts|Python Interface]] page has all the information regarding normal operation. Some RPi4 specifics need to be mentioned:
-  * The only Python package we had to install is scipy (''​python3 -m pip install scipy''​). numpy, matplotlib and tornado were already installed and up to date.+  * The only Python package we had to install ​one one of our Pi is scipy (''​python3 -m pip install scipy''​). numpy, matplotlib and tornado were already installed and up to date
 +  * On others we had to install everything. Run fxMain and read the error messages, they will tell you exactly what's missing.
   * If you get an error message that says "​libf66blas"​ try running ''​sudo apt-get install libatlas-base-dev''​   * If you get an error message that says "​libf66blas"​ try running ''​sudo apt-get install libatlas-base-dev''​
  
gettingstartedrpi4.1589328719.txt.gz · Last modified: 2020/05/13 00:11 by jfduval